package bll

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IUserRole UserRole业务逻辑接口
type IUserRole interface {
	// 查询数据
	Query(ctx context.Context, params schema.UserRoleQueryParam, opts ...schema.UserRoleQueryOptions) (*schema.UserRoleQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.UserRoleQueryOptions) (*schema.UserRole, error)
	// 创建数据
	Create(ctx context.Context, item schema.UserRole) (*schema.UserRole, error)
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.UserRole) (*schema.UserRole, error)
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
